FLANG

Public Member Functions | List of all members
Fortran::evaluate::Folder< T > Class Template Reference

## Public Member Functions
| Folder (FoldingContext &c)
std::optional< Expr< T > > | GetNamedConstantValue (const Symbol &)
std::optional< Constant< T > > | GetFoldedNamedConstantValue (const Symbol &)
std::optional< Constant< T > > | ApplySubscripts (const Constant< T > &array, const std::vector< Constant< SubscriptInteger >> &subscripts)
std::optional< Constant< T > > | ApplyComponent (Constant< SomeDerived > &&, const Symbol &component, const std::vector< Constant< SubscriptInteger >> *=nullptr)
std::optional< Constant< T > > | GetConstantComponent (Component &, const std::vector< Constant< SubscriptInteger >> *=nullptr)
std::optional< Constant< T > > | Folding (ArrayRef &)
Expr< T > | Folding (Designator< T > &&)
Constant< T > * | Folding (std::optional< ActualArgument > &)
Expr< T > | Reshape (FunctionRef< T > &&)

The documentation for this class was generated from the following file:

- lib/Evaluate/fold-implementation.h